Subject: [PATCH v4 1/2] i2c: s3c2410: Handle i2c sys_cfg register in i2c driver

From: [email-masked] (Pankaj Dubey)
Date: Mon, 24 Nov 2014 14:31:53 +0530

On Saturday 22 November 2014 06:18 AM, Kukjin Kim wrote:
> Wolfram Sang wrote:
>>
> Hi Wolfram,
>
>>>> I usually don't take DTS patches. They should go via arm-soc. Please say
>>>> so if there are reasons I should take them.
>>>
>>> I CC'ed to you because same patch contains changes in i2c driver.
>>
>> Yes, those should absolutely go via my I2C tree. You need to make a
>> seperate patch out of the dts changes which then also should go via
>> samsung-soc, unless Kukjin says he really wants to go the via I2C. But I
>> guess the latter will just create merge conflicts.
>
> Hmm...I think, Pankaj needs to submit separated patches 1) driver change, 2) dt
> change and then 3) remove change. And 2nd and 3rd changes should be handed in
> Samsung tree together after landing 1) change in -next.
>
> Of course, 1) change should be handled in i2c tree ;)
>

Thanks for review and guidance. I separated i2c driver changes and 
posted it as v6 here [1]. DT changes and mach-exynos removal of i2c 
settings have been posted as v6 here [2]. Please do review and if OK 
let's get it merged.

[1]: i2c-driver: https://patchwork.kernel.org/patch/5363981/
[2]: mach-exynos: 
http://comments.gmane.org/gmane.linux.kernel.samsung-soc/40155

Thanks,
Pankaj Dubey
> Thanks,
> Kukjin